nsvectororiented.h File Reference

Implements normal surface vectors using transversly oriented normal surface coordinates. More...

`#include "regina-core.h"`
`#include "surfaces/normalsurface.h"`

## Classes

class | regina::NSVectorOriented
| A normal surface vector using transversely oriented standard (triangle-quad) coordinates. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef NSVectorOriented | regina::NNormalSurfaceVectorOriented
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Implements normal surface vectors using transversly oriented normal surface coordinates.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).